/* Este programa é ativado via PushRegistry ou manualmente para se conectar com
um servidor e receber imagens enviadas por este.
A classe Chamadora trata do recebimento de uma notificação do PushRegistry
e da ativação manual do MIDlet pelo usuário. Ela chama então a Thread
Chamada para que ela receba as imagens enviadas pelo servidor.*/
package bla;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.io.*;
//import java.io.*;
public class Chamadora extends MIDlet implements CommandListener {

    private Display display;
    private Form f;
    private Command CMD_sair = new Command("sair", Command.EXIT, 1);
    //private Command CMD_chamar = new Command("chamar", Command.OK, 2);
    String connections[] = null;
    boolean ativadoPorPush = false;
    //   private StringItem si = new StringItem("-> ", "");
    int i = 0;

    public Chamadora() {
        display = Display.getDisplay(this);
    }

    public void startApp() {
        f = new Form("Chamadora");
        f.addCommand(CMD_sair);
//      f.addCommand(CMD_chamar);
        this.f.setCommandListener(this);
        this.display.setCurrent(f);
        //     f.append(si);
        // O método listConnections(true) retorna uma lista de conexões
        // registradas com entrada disponível. Portanto, ele só retornará as
        // conexões que estiverem tentando se conectar com o celular.
        // Se alguém registrado no PushRegistry estiver tentando se conectar,
        // o vetor de String connections terá strings de conexão dentro, senão,
        // ele será null. Se for null, significa que o programa não foi ativado
        // pelo PushRegistry, e sim pelo usuário.
        connections = PushRegistry.listConnections(true);
                           
            // Inicia uma Thread para as mensagens disponíveis para as 
            // conexões configuradas estaticamente no descritor         
            for (i = 0; i < connections.length; i++) {
                ativadoPorPush = true;
                Thread t = new Thread(new Chamada(this, connections[i], ativadoPorPush));
                t.start();
            }// fim do for
       
        // caso o MIDlet tenha sido ativado pelo usuário, será aberta a thread
        // abaixo
        
        Thread t = new Thread(new Chamada(this, ativadoPorPush));
        t.start();
        

    }// fim do startApp
    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
    }

    public void commandAction(Command c, Displayable d) {
        if (c == CMD_sair) {
            destroyApp(true);
            notifyDestroyed();
        }

    // Para fazer o CMD_chamar, descomente o else if de cima caso o
    // método chamada.start() estiver comendado. Else...
//        else if (c == CMD_chamar){
//        Thread t = new Thread(new Chamada(this, connections[i]));
//            t.start();
//        }

//        else if (c == CMD_chamar) {
//            Chamada hhh = new Chamada(this);
//            hhh.start();
//      }
    }// fim do commandAction()
}// fim da classe chamadora

